apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: pidoka-n8n
  namespace: argocd
spec:
  project: tenant-pidoka
  sources:
    - repoURL: 8gears.container-registry.com
      chart: library/n8n
      targetRevision: 2.0.1
      helm:
        releaseName: n8n
        valueFiles:
          - $values/tenants/pidoka/prod/n8n/values.yaml
    - repoURL: https://github.com/GitMasterOne/platform-gitops.git
      targetRevision: main
      ref: values
  destination:
    server: https://192.168.20.40:6443
    namespace: hf-n8n
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
